include:
  - system.base
  - .firewall

network_interfaces:
  file.managed:
    - name: /etc/network/interfaces
    - source: salt://{{ tpldir }}/files/network_interfaces
    - user: root
    - group: root
    - mode: '0644'
    - require:
      - system_base_pkgs

network_interfaces_dir:
  file.directory:
    - name: /etc/network/interfaces.d
    - user: root
    - group: root
    - dir_mode: '0755'
    - file_mode: '0644'
    - require:
      - system_base_pkgs

network_loopback_interfaces:
  file.managed:
    - name: /etc/network/interfaces.d/loopback
    - source: salt://{{ tpldir }}/files/network_loopback
    - user: root
    - group: root
    - mode: '0644'
    - require:
      - network_interfaces_dir

network_service_reload:
  service.running:
    - name: networking
    - enable: True
    - reload: True
    - watch:
      - network_interfaces
      - network_loopback_interfaces
